Bug 222919 - [Cocoa] Add additional bundle ID property to WKWebViewConfiguration
Summary: [Cocoa] Add additional bundle ID property to WKWebViewConfiguration
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Brent Fulgham
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-03-08 10:03 PST by Brent Fulgham
Modified: 2021-03-10 12:09 PST (History)
3 users (show)

See Also:


Attachments
Patch (13.91 KB, patch)
2021-03-09 10:43 PST, Brent Fulgham
no flags Details | Formatted Diff | Diff
Patch (17.52 KB, patch)
2021-03-09 11:37 PST, Brent Fulgham
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brent Fulgham 2021-03-08 10:03:49 PST
Add an additional property to WKWebViewConfiguration to help thread the correct bundle ID of the driving application so that WebKit can provide better messaging when Safari View Controller (or ASWebAuthenticationSession) is used. Currently we often have to report a generic "web content" message that doesn't help a user see which app is actually requesting the load.

@interface WKWebViewConfiguration (WKPrivate)

@property (nonatomic, setter=_setAttributedBundleIdentifier:) NSString * _attributedBundleIdentifier WK_API_AVAILABLE(macos(WK_MAC_TBA), ios(WK_IOS_TBA));

@end
WKWebViewConfiguration._attributedBundleIdentifier
Comment 1 Radar WebKit Bug Importer 2021-03-08 10:04:14 PST
<rdar://problem/75175422>
Comment 2 Brent Fulgham 2021-03-08 16:40:45 PST
This is actually:
<rdar://problem/75013854>
Comment 3 Brent Fulgham 2021-03-09 10:43:34 PST
Created attachment 422725 [details]
Patch
Comment 4 Alex Christensen 2021-03-09 11:14:32 PST
Comment on attachment 422725 [details]
Patch

Looks good, but you'll need to copy this new member in WebsiteDataStoreConfiguration::copy
Comment 5 Brent Fulgham 2021-03-09 11:37:03 PST
Created attachment 422735 [details]
Patch
Comment 6 Brent Fulgham 2021-03-09 15:22:48 PST
Let's hold off on landing until we confirm this is the final shape of this solution.
Comment 7 Brent Fulgham 2021-03-09 15:23:14 PST
Comment on attachment 422735 [details]
Patch

Marking cq- so no one lands this before we finalize the design choice.
Comment 8 Brent Fulgham 2021-03-10 11:44:48 PST
Comment on attachment 422735 [details]
Patch

Confirmed this is how we intend to handle this.
Comment 9 EWS 2021-03-10 12:09:35 PST
Committed r274228: <https://commits.webkit.org/r274228>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 422735 [details].